XML.Builder (Grails 3.2.9)
Date: 2017-04-26

Package: grails.converters

## [Java] Class Builder

- grails.converters.XML.Builder

- - ### Constructor Summary

    Constructors
    Constructor and description
    `XML.Builder (XML xml)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.Object` | `createNode(java.lang.Object name)`
    `` | `protected java.lang.Object` | `createNode(java.lang.Object name, java.lang.Object value)`
    `` | `protected java.lang.Object` | `createNode(java.lang.Object name, java.util.Map attributes)`
    `` | `protected java.lang.Object` | `createNode(java.lang.Object name, java.util.Map attributes, java.lang.Object value)`
    `` | `void` | `execute(groovy.lang.Closure<?> callable)`
    `` | `protected void` | `nodeCompleted(java.lang.Object o, java.lang.Object o1)`
    `` | `protected void` | `setParent(java.lang.Object o, java.lang.Object o1)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.util.BuilderSupport` | `groovy.util.BuilderSupport#invokeMethod(java.lang.String), groovy.util.BuilderSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#setProperty(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#getProperty(java.lang.String), groovy.util.BuilderSupport#getMetaClass(), groovy.util.BuilderSupport#setMetaClass(groovy.lang.MetaClass), groovy.util.BuilderSupport#wait(long, int), groovy.util.BuilderSupport#wait(long), groovy.util.BuilderSupport#wait(), groovy.util.BuilderSupport#equals(java.lang.Object), groovy.util.BuilderSupport#toString(), groovy.util.BuilderSupport#hashCode(), groovy.util.BuilderSupport#getClass(), groovy.util.BuilderSupport#notify(), groovy.util.BuilderSupport#notifyAll()`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public XML.Builder(XML xml)

  - ### Method Detail

    - #### @java.lang.Override protected java.lang.Object createNode(java.lang.Object name)

    - #### @java.lang.Override protected java.lang.Object createNode(java.lang.Object name, java.lang.Object value)

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override protected java.lang.Object createNode(java.lang.Object name, java.util.Map attributes)

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override protected java.lang.Object createNode(java.lang.Object name, java.util.Map attributes, java.lang.Object value)

    - #### public void execute(groovy.lang.Closure<?> callable)

    - #### @java.lang.Override protected void nodeCompleted(java.lang.Object o, java.lang.Object o1)

    - #### @java.lang.Override protected void setParent(java.lang.Object o, java.lang.Object o1)